import { UrlObject } from 'url';
import type { TRouteBranch } from '../types';
/**
 * Recursively get path pattern (path-to-regexp syntax) from file path parts
 *
 * Ex, given `/[dynamic]/path` is an existing file path:
 * `/[dynamic]/path` => { pattern: `/:dynamic/path`, values: {} }
 * `/value/path` => { pattern: `/:dynamic/path`, values: { dynamic: 'value' } }
 */
export declare const getTranslatedPathPattern: ({ routeBranch, pathParts, locale, }: {
    routeBranch: TRouteBranch;
    /** Remaining path parts after the `routeBranch` path parts */
    pathParts: string[];
    locale: string;
}) => {
    pattern: string;
    values: Record<string, string | string[]>;
};
/**
 * Translate Next file url into translated string url
 *
 * @param url Next default file url
 * @param locale string
 */
export declare const fileUrlToUrl: (url: UrlObject | URL | string, locale: string) => string;
